virt-install fails to install Ubuntu ISO when it is located in an HTTP location

Bug #751979 reported by Andres Rodriguez on 2011-04-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
virtinst (Ubuntu)
Medium
Andres Rodriguez

Bug Description

Binary package hint: virtinst

virt-install is unable to install an instances when the location of the ISO or source of installation is HTTP. The following shows the error:

roaksoax@shift:~/Desktop/natty/bugs/cobbler-virtinst$ sudo virt-install -n testing -r 512 --arch=i386 --vcpus=1 -l http://192.168.1.118/cblr/ks_mirror/ubuntu-server-i386/ --disk /var/lib/libvirt/images/test1-disk0
ERROR Error creating cdrom disk: Could not find an installable distribution at 'http://192.168.1.118/cblr/ks_mirror/ubuntu-server-i386/'
The location must be the root directory of an install tree.

When applying the proposed patch, the installation proceeds as expected:

sudo virt-install -n testing -r 512 --arch=i386 --vcpus=1 -l http://192.168.1.118/cblr/ks_mirror/ubuntu-server-i386/ --disk /var/lib/libvirt/images/test1-disk0
[sudo] password for roaksoax:

Starting install...
Retrieving file version.info... | 114 B 00:00 ...
Retrieving file linux... | 8.6 MB 00:00 ...
Retrieving file initrd.gz... | 15 MB 00:00 ...
Creating domain... | 0 B 00:01
Domain installation still in progress. You can reconnect to
the console to complete the installation process.

Related branches

Changed in virtinst (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Andres Rodriguez (andreserl)
Andres Rodriguez (andreserl) wrote :
tags: added: patch
Dave Walker (davewalker) wrote :

Thanks Andres, can you make sure this patch is offered upstream please? (might also want to suggest "detected an ubuntu distro" s/an/a/.

Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtinst - 0.500.5-1ubuntu3

---------------
virtinst (0.500.5-1ubuntu3) natty; urgency=low

  * Correctly detect an UbuntuDistro from an HTTP source. (LP: #751979)
 -- Andres Rodriguez <email address hidden> Tue, 05 Apr 2011 18:18:09 -0400

Changed in virtinst (Ubuntu):
status: Confirmed → Fix Released
Changed in virtinst (Ubuntu):
status: Fix Released → New
Andres Rodriguez (andreserl) wrote :

The attached patch didn't take in consideration that the HTTP source can be both a netboot source, such as [1], or a mounted ISO, such an imported ISO made available with cobbler.

The new attached debdiff fixes this by allowing both kind of HTTP sources to be considered as valid HTTP installation sources. The attached debdiff

[1]: http://fi.archive.ubuntu.com/ubuntu/dists/maverick/main/installer-amd64/

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtinst - 0.500.5-1ubuntu4

---------------
virtinst (0.500.5-1ubuntu4) natty; urgency=low

  * debian/patches/9004_ubuntu_correct_tree.patch: Updated to consider that
    HTTP source can be both, a mounted ISO (or cobbler imported ISO) or a
    netbook HTTP source. (LP: #751979)
 -- Andres Rodriguez <email address hidden> Fri, 08 Apr 2011 14:14:51 -0400

Changed in virtinst (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers